from oidc_provider.models import Client

from django.core.management.base import BaseCommand


class Command(BaseCommand):
    help = "Deletes OIDC clients"

    def add_arguments(self, parser):
        parser.add_argument(
            "name",
            help="The name(s) of the OIDC client(s) to delete",
            nargs="*",
            type=str,
        )

    def handle(self, *args, **options):
        try:
            count, _ = Client.objects.filter(name__in=options["name"]).delete()
        except Exception:
            self.stdout.write(self.style.ERROR("Failed to delete OIDC clients"))
        else:
            if count > 0:
                self.stdout.write(self.style.SUCCESS(f"Deleted {str(count)} OIDC clients"))
            else:
                self.stdout.write(self.style.WARNING("No OIDC clients to delete"))
