# Generated by Django 4.2.13 on 2024-06-11 18:58

import versatileimagefield.fields

from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("program", "0095_alter_radiosettings_cba_domains_and_more"),
    ]

    operations = [
        migrations.AlterField(
            model_name="category",
            name="description",
            field=models.TextField(blank=True, help_text="Description of the category."),
        ),
        migrations.AlterField(
            model_name="category",
            name="is_active",
            field=models.BooleanField(default=True, help_text="True if category is active."),
        ),
        migrations.AlterField(
            model_name="category",
            name="name",
            field=models.CharField(help_text="Name of the category.", max_length=32),
        ),
        migrations.AlterField(
            model_name="category",
            name="slug",
            field=models.SlugField(help_text="Slug of the category.", max_length=32, unique=True),
        ),
        migrations.AlterField(
            model_name="category",
            name="subtitle",
            field=models.CharField(
                blank=True, help_text="Subtitle of the category.", max_length=32
            ),
        ),
        migrations.AlterField(
            model_name="fundingcategory",
            name="is_active",
            field=models.BooleanField(
                default=True, help_text="True if funding category is active."
            ),
        ),
        migrations.AlterField(
            model_name="fundingcategory",
            name="name",
            field=models.CharField(help_text="Name of the funding category.", max_length=32),
        ),
        migrations.AlterField(
            model_name="fundingcategory",
            name="slug",
            field=models.SlugField(
                help_text="Slug of the funding category.", max_length=32, unique=True
            ),
        ),
        migrations.AlterField(
            model_name="host",
            name="biography",
            field=models.TextField(blank=True, help_text="Biography of the host."),
        ),
        migrations.AlterField(
            model_name="host",
            name="email",
            field=models.EmailField(
                blank=True, help_text="Email address of the host.", max_length=254
            ),
        ),
        migrations.AlterField(
            model_name="host",
            name="is_active",
            field=models.BooleanField(default=True, help_text="True if host is active."),
        ),
        migrations.AlterField(
            model_name="host",
            name="name",
            field=models.CharField(help_text="Display name of the host.", max_length=128),
        ),
        migrations.AlterField(
            model_name="host",
            name="owners",
            field=models.ManyToManyField(
                blank=True,
                help_text="User ID(s) identifying this host.",
                related_name="hosts",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AlterField(
            model_name="image",
            name="alt_text",
            field=models.TextField(
                blank=True, default="", help_text="Alternate text for the image."
            ),
        ),
        migrations.AlterField(
            model_name="image",
            name="credits",
            field=models.TextField(blank=True, default="", help_text="Credits of the image"),
        ),
        migrations.AlterField(
            model_name="image",
            name="image",
            field=versatileimagefield.fields.VersatileImageField(
                blank=True,
                height_field="height",
                help_text="The URI of the image.",
                null=True,
                upload_to="images",
                width_field="width",
            ),
        ),
        migrations.AlterField(
            model_name="image",
            name="is_use_explicitly_granted_by_author",
            field=models.BooleanField(
                default=False, help_text="True if use is explicitly granted by author."
            ),
        ),
        migrations.AlterField(
            model_name="language",
            name="is_active",
            field=models.BooleanField(default=True, help_text="True if language is active."),
        ),
        migrations.AlterField(
            model_name="language",
            name="name",
            field=models.CharField(help_text="Name of the language.", max_length=32),
        ),
        migrations.AlterField(
            model_name="license",
            name="needs_author",
            field=models.BooleanField(default=True, help_text="True if license needs an author."),
        ),
        migrations.AlterField(
            model_name="license",
            name="requires_express_permission_for_publication",
            field=models.BooleanField(
                default=True, help_text="True if express permission for publication required."
            ),
        ),
        migrations.AlterField(
            model_name="license",
            name="url",
            field=models.URLField(blank=True, default="", help_text="URL of the licence."),
        ),
        migrations.AlterField(
            model_name="linktype",
            name="is_active",
            field=models.BooleanField(default=True, help_text="True if link type is active."),
        ),
        migrations.AlterField(
            model_name="musicfocus",
            name="is_active",
            field=models.BooleanField(default=True, help_text="True if music focus is active."),
        ),
        migrations.AlterField(
            model_name="musicfocus",
            name="name",
            field=models.CharField(help_text="Name of the music focus.", max_length=32),
        ),
        migrations.AlterField(
            model_name="musicfocus",
            name="slug",
            field=models.SlugField(
                help_text="Slug of the music focus.", max_length=32, unique=True
            ),
        ),
        migrations.AlterField(
            model_name="note",
            name="cba_id",
            field=models.IntegerField(blank=True, help_text="CBA entry ID.", null=True),
        ),
        migrations.AlterField(
            model_name="note",
            name="content",
            field=models.TextField(help_text="Textual content of the note."),
        ),
        migrations.AlterField(
            model_name="note",
            name="contributors",
            field=models.ManyToManyField(
                help_text="`Host` IDs contributing to this note.",
                related_name="notes",
                to="program.host",
            ),
        ),
        migrations.AlterField(
            model_name="note",
            name="summary",
            field=models.TextField(blank=True, help_text="Summary of the Note."),
        ),
        migrations.AlterField(
            model_name="note",
            name="title",
            field=models.CharField(
                blank=True, default="", help_text="Title of the note.", max_length=128
            ),
        ),
        migrations.AlterField(
            model_name="show",
            name="description",
            field=models.TextField(blank=True, help_text="Description of this show."),
        ),
        migrations.AlterField(
            model_name="show",
            name="email",
            field=models.EmailField(
                blank=True, help_text="Email address of this show.", max_length=254, null=True
            ),
        ),
        migrations.AlterField(
            model_name="show",
            name="internal_note",
            field=models.TextField(blank=True, help_text="Internal note for this show."),
        ),
        migrations.AlterField(
            model_name="show",
            name="is_active",
            field=models.BooleanField(default=True, help_text="True if this show is active."),
        ),
        migrations.AlterField(
            model_name="show",
            name="is_public",
            field=models.BooleanField(default=False, help_text="True if this show is public."),
        ),
        migrations.AlterField(
            model_name="show",
            name="name",
            field=models.CharField(help_text="Name of this Show.", max_length=255),
        ),
        migrations.AlterField(
            model_name="show",
            name="short_description",
            field=models.TextField(help_text="Short description of this show."),
        ),
        migrations.AlterField(
            model_name="show",
            name="slug",
            field=models.SlugField(
                blank=True, help_text="Slug of this show.", max_length=255, unique=True
            ),
        ),
        migrations.AlterField(
            model_name="timeslot",
            name="memo",
            field=models.TextField(blank=True, help_text="Memo for this timeslot."),
        ),
        migrations.AlterField(
            model_name="timeslot",
            name="playlist_id",
            field=models.IntegerField(help_text="`Playlist` ID of this timeslot.", null=True),
        ),
        migrations.AlterField(
            model_name="topic",
            name="is_active",
            field=models.BooleanField(default=True, help_text="True if topic is active."),
        ),
        migrations.AlterField(
            model_name="topic",
            name="name",
            field=models.CharField(help_text="Name of the topic.", max_length=32),
        ),
        migrations.AlterField(
            model_name="topic",
            name="slug",
            field=models.SlugField(help_text="Slug of the topic.", max_length=32, unique=True),
        ),
        migrations.AlterField(
            model_name="type",
            name="is_active",
            field=models.BooleanField(default=True, help_text="True if type is active."),
        ),
        migrations.AlterField(
            model_name="type",
            name="name",
            field=models.CharField(help_text="Name of the type.", max_length=32),
        ),
        migrations.AlterField(
            model_name="type",
            name="slug",
            field=models.SlugField(help_text="Slug of the type.", max_length=32, unique=True),
        ),
    ]
